Bug 1588327 (CVE-2016-1000346)

Summary: CVE-2016-1000346 bouncycastle: Other party DH public keys are not fully validated
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: avibelli, bcourt, bgeorges, bkearney, bmaxwell, bmcclain, cbillett, cdewolf, chazlett, csutherl, darran.lofthouse, dblechte, dimitris, dosoudil, drieden, eedri, hhorak, jawilson, jbalunas, jjohnstn, jmatthew, jolee, jorton, jpallich, jschatte, jshepherd, jstastny, krathod, lgao, lthon, mgoldboi, michal.skrivanek, mmccune, mrike, mszynkie, myarboro, ohadlevy, pdrozd, pgallagh, pgier, psakar, pslavice, psotirop, puntogil, rchan, rgrunber, rnetuka, rruss, rsvoboda, sbonazzo, sherold, steve.traylen, sthorger, tomckay, trogers, tsanders, twalsh, vhalbert, vtunka, ykaul
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20161029,reported=20180607,source=cve,cvss3=4.8/CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N,cwe=CWE-325,fedora-all/bouncycastle=notaffected,epel-6/bouncycastle=affected,rhel-8/bouncycastle=notaffected,rhscl-3/rh-eclipse46-bouncycastle=wontfix,sam-1/bouncycastle=wontfix,rhn_satellite_6/bouncycastle=affected,jdg-7/bouncycastle=notaffected,jdv-6/bouncycastle=wontfix,jbds-11/bouncycastle=notaffected,eap-7/bouncycastle=notaffected,fuse-6/bouncycastle=wontfix,fuse-7/bouncycastle=affected,fis-2/bouncycastle=notaffected,rhsso-7/bouncycastle=notaffected,swarm-7/bouncycastle=notaffected,rhev-m-4/eap7-bouncycastle=notaffected
Fixed In Version: bouncycastle 1.56 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:27:35 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1588328, 1589572, 1589573, 1592662, 1700957    
Bug Blocks: 1588310    

Description Sam Fowler 2018-06-07 05:36:51 UTC
In the Bouncy Castle JCE Provider version 1.55 and earlier the other party DH public key is not fully validated. This can cause issues as invalid keys can be used to reveal details about the other party's private key where static Diffie-Hellman is in use. As of release 1.56 the key parameters are checked on agreement calculation.


Upstream Commits:

https://github.com/bcgit/bc-java/commit/1127131c89021612c6eefa26dbe5714c194e7495#diff-d525a20b8acaed791ae2f0f770eb5937

Comment 1 Sam Fowler 2018-06-07 05:37:52 UTC
Created bouncycastle tracking bugs for this issue:

Affects: epel-6 [bug 1588328]

Comment 4 Kurt Seifried 2018-06-10 20:29:00 UTC
Statement:

This issue affects the versions of bouncycastle as shipped with Red Hat Subscription Asset Manager 1.x. Red Hat Product Security has rated this issue as having a security impact of Moderate. No update is planned for this product at this time. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 6 errata-xmlrpc 2018-09-11 07:56:35 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse

Via RHSA-2018:2669 https://access.redhat.com/errata/RHSA-2018:2669

Comment 7 errata-xmlrpc 2018-10-16 15:24:13 UTC
This issue has been addressed in the following products:

  Red Hat Satellite 6.4 for RHEL 7

Via RHSA-2018:2927 https://access.redhat.com/errata/RHSA-2018:2927